RDGeom::PointND Class Reference

`#include <point.h>`

Inheritance diagram for RDGeom::PointND:

## Public Types

typedef boost::shared_ptr< RDNumeric::Vector< double > > | VECT_SH_PTR

## Public Member Functions

| PointND (unsigned int dim)
| PointND (const PointND &other)
virtual Point * | copy () const
| ~PointND ()
double | operator[] (unsigned int i) const
double & | operator[] (unsigned int i)
void | normalize ()
double | length () const
double | lengthSq () const
unsigned int | dimension () const
PointND & | operator= (const PointND &other)
PointND & | operator+= (const PointND &other)
PointND & | operator-= (const PointND &other)
PointND & | operator*= (double scale)
PointND & | operator/= (double scale)
PointND | directionVector (const PointND &other)
double | dotProduct (const PointND &other) const
double | angleTo (const PointND &other) const
Public Member Functions inherited from RDGeom::Point
virtual | ~Point ()

## Detailed Description

Definition at line 396 of file point.h.

## Member Typedef Documentation

typedef boost::shared_ptr<RDNumeric::Vector<double> > RDGeom::PointND::VECT_SH_PTR

Definition at line 399 of file point.h.

## Constructor & Destructor Documentation

RDGeom::PointND::PointND | ( | unsigned int | dim | ) |

inline

Definition at line 401 of file point.h.

Referenced by copy().

RDGeom::PointND::PointND | ( | const PointND & | other | ) |

inline

Definition at line 406 of file point.h.

RDGeom::PointND::~PointND | ( |  | ) |

inline

Definition at line 431 of file point.h.

## Member Function Documentation

double RDGeom::PointND::angleTo | ( | const PointND & | other | ) | const

inline

Definition at line 495 of file point.h.

References dotProduct(), and length().

virtual Point* RDGeom::PointND::copy | ( |  | ) | const

inline virtual

Implements RDGeom::Point.

Definition at line 411 of file point.h.

References PointND().

unsigned int RDGeom::PointND::dimension | ( |  | ) | const

inline virtual

Implements RDGeom::Point.

Definition at line 453 of file point.h.

Referenced by directionVector().

PointND RDGeom::PointND::directionVector | ( | const PointND & | other | ) |

inline

Definition at line 483 of file point.h.

References dimension(), and PRECONDITION.

double RDGeom::PointND::dotProduct | ( | const PointND & | other | ) | const

inline

Definition at line 491 of file point.h.

Referenced by angleTo().

double RDGeom::PointND::length | ( |  | ) | const

inline virtual

Implements RDGeom::Point.

Definition at line 445 of file point.h.

Referenced by angleTo().

double RDGeom::PointND::lengthSq | ( |  | ) | const

inline virtual

Implements RDGeom::Point.

Definition at line 449 of file point.h.

void RDGeom::PointND::normalize | ( |  | ) |

inline virtual

Implements RDGeom::Point.

Definition at line 441 of file point.h.

PointND& RDGeom::PointND::operator*= | ( | double | scale | ) |

inline

Definition at line 473 of file point.h.

PointND& RDGeom::PointND::operator+= | ( | const PointND & | other | ) |

inline

Definition at line 463 of file point.h.

PointND& RDGeom::PointND::operator-= | ( | const PointND & | other | ) |

inline

Definition at line 468 of file point.h.

PointND& RDGeom::PointND::operator/= | ( | double | scale | ) |

inline

Definition at line 478 of file point.h.

PointND& RDGeom::PointND::operator= | ( | const PointND & | other | ) |

inline

Definition at line 457 of file point.h.

double RDGeom::PointND::operator[] | ( | unsigned int | i | ) | const

inline virtual

Implements RDGeom::Point.

Definition at line 433 of file point.h.

double& RDGeom::PointND::operator[] | ( | unsigned int | i | ) |

inline virtual

Implements RDGeom::Point.

Definition at line 437 of file point.h.

The documentation for this class was generated from the following file:

- point.h